path: /build/build/rtw89-kernel-5.4-0.20220824+30.package.tar.zst
dependencies: []
compilespec:
  steps:
  - cd rtw89 && sed -e 's|^MODDESTDIR.*|MODDESTDIR := /rtw89/lib/modules/5.4.298-macaroni/kernel/drivers/net/wireless/realtek/rtw89/|g'
    -i Makefile && make install
  env:
  - KVER=5.4.298-macaroni
  - GIT_HASH=e3ef10e3a6b3a002af800d658efa904e0d30f1a2
  prelude:
  - luet repo update && luet i kernel-5.4/macaroni-full kernel-5.4/macaroni-modules
    --nodeps --finalizer-env "BUILD_ISO=1" && luet i git make sys-apps/kmod && luet
    cleanup
  - ln -s /usr/src/linux-5.4.298-macaroni /lib/modules/5.4.298-macaroni/build
  - git clone https://github.com/lwfinger/rtw89.git && cd rtw89 && git checkout "${GIT_HASH%\+*}"
    && make
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:43dea681a43b06ee4f38e75e24ee46fe34c624e05e75ebf224ffe0c298258368
  package:
    name: rtw89
    version: 0.20220824+30
    category: kernel-5.4
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.4
    annotations:
      kernel_module: true
    description: Driver for Realtek 8852AE, an 802.11ax device,
    buildtimestamp: 2025-09-11 16:52:35.89559295 +0000 UTC m=+110.396633347
    labels:
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.4.298
    treedir: /build/packages
  package_dir: /rtw89
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 20b20e0ae9bbfe4df0fdfe3274b97a08a6bd4b56deef68fccad49d5e83d6151c
compressiontype: zstd
files:
- lib/modules/5.4.298-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw89core.ko
- lib/modules/5.4.298-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw89pci.ko
- lib/modules/5.4.298-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw_8852a.ko
- lib/modules/5.4.298-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw_8852ae.ko
package_cacheimage: ""
runtime:
  name: rtw89
  version: 0.20220824+30
  category: kernel-5.4
  annotations:
    kernel_module: true
  description: Driver for Realtek 8852AE, an 802.11ax device,
  labels:
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.4.298
